import ListModel from "../../models/ListModel";
import "./list.css";
import "../../index.css";
import { useState } from "react";

// Liste component, used for community + created quizzes list
export function List(props: ListProps) {
    return (
        <ul className="list">
            {props.isLoading ?
            <div className="loading-spinner"></div>
            :
            props.list.map((item) => (
                <button key={item.id.toString()} className={props.selected === item.id.toString() ? "itemListSelected" : "itemList"} onClick={() => {props.setSelected(item.id.toString())}}>
                    <h4>{item.title}</h4>
                    <p className="list-button">{item.content}</p>
                </button>
            ))}
        </ul>
    );
}

interface ListProps {
    list: ListModel[];
    setSelected: (index: string) => void;
    selected: string;
    isLoading: boolean;
}
