import "./answerButton.css";

interface Props {
    text: string;
    onClick: () => void;
    style: string;
    isDisabled: boolean;
}

export function AnswerButton({ text, onClick, style, isDisabled }: Props) {
    return (
        <button className={style} onClick={onClick} disabled={isDisabled}>
            {text.includes("data:image") ? (
                <div className="image-container">
                    <img
                        src={text}
                        alt="Answer"
                        className="answer-button-media"
                        style={{ objectFit: "cover", borderRadius: "0px" }}
                    />
                </div>
            ) : text.includes("data:audio") ? (
                <audio controls className="answer-button-media">
                    <source src={text} type="audio/mpeg" />
                    Votre navigateur ne supporte pas l’audio.
                </audio>
            ) : (
                <p className="answer-button-text">{text}</p>
            )}
        </button>
    );
}
