import "./stopQuizModal.css";
import {ModalButton} from "../modalButton/modalButton.tsx";
import {useNavigate} from "react-router-dom";

interface Props {
    isOpen: boolean; // Indique si la modal doit être affichée
    onClose: () => void; // Fonction appelée pour fermer la modal
}


export const StopQuizModal = ({ isOpen, onClose }: Props) => {
    if (!isOpen) return null;
    const navigate = useNavigate();

    const handleBackToMenu = () => {
        navigate("/home");
    }

    return (
        <div className="stop-quiz-modal-overlay">
            <div
                className="stop-quiz-modal-content"
                onClick={(e) => e.stopPropagation()} // Empêche la fermeture lors d'un clic dans la modal
            >
                <div className="stop-quiz-modal-button-text-container">
                    <p className="stop-quiz-modal-button-text">WOULD YOU LIKE TO RETURN TO THE MENU ?</p>
                </div>
                <div className="stop-quiz-modal-button-container">
                    <ModalButton text="CANCEL" onClick={onClose} isLeftButton={true} isDisabled={false}/>
                    <ModalButton text="BACK TO MENU" onClick={handleBackToMenu} isLeftButton={false} isDisabled={false}/>
                </div>
            </div>
        </div>
    );
};
