import "./validationButton.css";

interface Props {
    text: string;
    onClick: () => void;
    isDisabled: boolean;
}

export function ValidationButton({ text, onClick, isDisabled}: Props) {
    return (
        <button className={isDisabled ? "validation-button validation-button-disabled" : "validation-button"} onClick={onClick} disabled={isDisabled}>
            <p className="validation-button-text">{text}</p>
        </button>
    );
}