import { Question, QuestionCreation } from './Question.ts';

export interface Difficulty {
    id: number;
    name: string;
}

export interface Category {
    id: number;
    name: string;
}

interface Author {
    id: number;
    username: string;
}

export interface Quiz {
    id: string;
    name: string;
    description: string;
    score: number;
    questionIndex: number;
    questionCount: number;
    categoryId: number;
    difficultyId: number;
    author: Author,
    authorName: string,
    category?: Category,
    difficulty: Difficulty,
    questions: Question[],
}

export interface QuizCreation {
    name: string;
    description?: string;
    difficulty: string;
    questions: QuestionCreation[];
}

export interface QuizCommunityResponse {
    quizzes: Quiz[];
    total: number;
}
