import CheckOutlinedIcon from "@mui/icons-material/CheckOutlined";
import CloseOutlinedIcon from "@mui/icons-material/CloseOutlined";
import { AnswerCreation } from "../../models/Answer";

interface ITextQuizProps {
    answers: AnswerCreation[];
    indexQuestion: number;
}

export default function ImageQuiz({ answers, indexQuestion }: ITextQuizProps) {
    const previews = answers.map((a) => a.text || "");

    return (
        <>
            {answers.map((answer, index: number) => (
                <div className="answer-cell" key={`${indexQuestion}-${index}`}>
                    {index === 0 ? (
                        <p className="greenIcon">
                            <CheckOutlinedIcon />
                        </p>
                    ) : (
                        <p className="redIcon">
                            <CloseOutlinedIcon />
                        </p>
                    )}
                    <img
                        src={previews[index] || ""}
                        style={{ width: "400px", height: "400px", objectFit: "cover", borderRadius: "0px" }}
                    />
                </div>
            ))}
        </>
    );
}
