import CheckOutlinedIcon from "@mui/icons-material/CheckOutlined";
import CloseOutlinedIcon from "@mui/icons-material/CloseOutlined";
import { AnswerCreation } from "../../models/Answer";

interface ITextQuizProps {
    answers: AnswerCreation[];
    indexQuestion: number;
}

export default function SoundQuiz({ answers, indexQuestion }: ITextQuizProps) {
    const previews = answers.map((a) => a.text || "");

    return (
        <>
            {answers.map((answer, index: number) => (
                <div className="answer-cell" key={`${indexQuestion}-${index}`}>
                    {index === 0 ? (
                        <p className="greenIcon">
                            <CheckOutlinedIcon />
                        </p>
                    ) : (
                        <p className="redIcon">
                            <CloseOutlinedIcon />
                        </p>
                    )}
                    {previews[index] && (
                        <audio controls style={{ width: "400px" }}>
                            <source src={previews[index]} type="audio/mpeg" />
                            Your browser does not support the audio element.
                        </audio>
                    )}
                </div>
            ))}
        </>
    );
}
