import CheckOutlinedIcon from "@mui/icons-material/CheckOutlined";
import CloseOutlinedIcon from "@mui/icons-material/CloseOutlined";
import { AnswerCreation } from "../../models/Answer";

interface ITextQuizProps {
    answers: AnswerCreation[];
    indexQuestion: number;
}

export default function TextQuiz({ answers, indexQuestion }: ITextQuizProps) {
    return (
        <>
            {answers.map((answer, index: number) => (
                <div className="answer-cell" key={`${indexQuestion}-${index}`}>
                    {index === 0 ? (
                        <p className="greenIcon">
                            <CheckOutlinedIcon />
                        </p>
                    ) : (
                        <p className="redIcon">
                            <CloseOutlinedIcon />
                        </p>
                    )}
                    <input
                        type="text"
                        id="answer"
                        defaultValue={answer.text}
                        value={answer.text}
                        placeholder={index === 0 ? "Write true answer..." : "Write false answer..."}
                        disabled
                    />
                </div>
            ))}
        </>
    );
}
