// right side for home. after Play A Quiz utton. Create or join an unfinished quiz
import { useState } from 'react';
import { CreateAQuiz } from './createAQuiz';
import './PlayAQuiz.css';
import { JoinAQuiz } from './joinAQuiz';

interface paqProps {
    loading: () => void;
}

export function PlayAQuiz({ loading }: paqProps) {
    const [paq, setPaq] = useState(true);  // Play A Quiz Selected
    const [jaq, setJaq] = useState(false);  // Join A Quiz Selected

    const showPaq = () => {
        setPaq(true);
        setJaq(false);
    }

    const showJaq = () => {
        setPaq(false);
        setJaq(true);
    }

    return (
        <div className="container-left">
            <div className="button-header">
                <button className={paq ? "selected" : "unselected"} onClick={showPaq}>Play a quiz</button>
                <button className={jaq ? "selected" : "unselected"} onClick={showJaq}>Join a quiz</button>
            </div>
            <div className="content">
                {paq && <CreateAQuiz loading={loading} />}
                {jaq && <JoinAQuiz loading={loading} />}
            </div>
        </div>
    );
}