import "./quizTop.css";
import HomeIcon from "@mui/icons-material/Home";
import {Question} from "../../../../models/Question.ts";
import {QuizInformations} from "../../../../models/QuizInformations.ts";
interface Props {
    actualQuestion: Question;
    quizInformations?: QuizInformations;
    questionCount: number;
    score: number;
    setStopQuizModalIsOpen: (stopQuizModalIsOpen: boolean) => void;
}
export function QuizTopMulti({ actualQuestion, quizInformations, questionCount, score, setStopQuizModalIsOpen }: Props) {
    return (
        <div className="quiz-top">
            <div className="home-id-container">
                <div className="home-id-box">
                    <button className="home-button" onClick={() => setStopQuizModalIsOpen(true)}>
                        <HomeIcon/>
                    </button>
                    <p className="quiz-id">ID QUIZ: {actualQuestion.id}</p>
                </div>
            </div>

            <div className="quiz-top-content">
                <div className="in-game-information">
                    <p className="text-nb-question">
                        QUESTION {actualQuestion ? actualQuestion.order + 1 : "?"}/{questionCount}
                    </p>
                    <p className="text-score">
                        SCORE : {score}/{questionCount}
                    </p>
                </div>

                {/*<div>*/}
                {/*    <p className="text-category">{question.category.name}</p>*/}
                {/*</div>*/}

                <div className="quiz-top-text-question">
                    <p className="text-question">{actualQuestion ? actualQuestion.text : "Loading..."}</p>
                </div>
            </div>
        </div>
    );
}
