import { useState } from "react";

import "./connect.css";
import Signup from "./signup/signup.tsx";
import Login from "./login/login.tsx";
// show connect or signup.css on the right side of profile if not logged in
interface loginProps {
    loginFunction: () => void;
}

export function Connect({ loginFunction }: loginProps) {
    const [isLogin, setIsLogin] = useState(true);
    const changeType = (type: boolean) => {
        setIsLogin(type);
    }

    return (
        <div className="login">
            <div className="button-header">
                <button className={isLogin ? "active" : "unselected"} onClick={() => { changeType(true) }}>LOGIN</button>
                <button className={!isLogin ? "active" : "unselected"} onClick={() => { changeType(false) }}>SIGNUP</button>
            </div>
            <div className="login-content">
                    {
                        isLogin ? (
                            <Login loginFunction={loginFunction} />
                        ) : (
                            <Signup />
                        )
                    }
            </div >
        </div>
    )
}
