import HomeIcon from "@mui/icons-material/Home";
import "./quizTop.css";
import { Quiz } from "../../../models/Quiz.ts";
import { QuizInformations } from "../../../models/QuizInformations.ts";
import { Question } from "../../../models/Question.ts";
interface Props {
    quizInformations: QuizInformations;
    runId: string;
    actualQuestion: Question;
    score: number;
    setStopQuizModalIsOpen: (stopQuizModalIsOpen: boolean) => void;
}
export function QuizTop({ quizInformations, runId, actualQuestion, score, setStopQuizModalIsOpen }: Props) {
    return (
        <div className="quiz-top">
            <div className="home-id-container">
                <div className="home-id-box">
                    <button className="home-button" onClick={() => setStopQuizModalIsOpen(true)}>
                        <HomeIcon />
                    </button>
                    <p className="quiz-id">ID QUIZ: {runId}</p>
                </div>
            </div>

            <div className="quiz-top-content">
                <div className="in-game-information">
                    <p className="text-nb-question">
                        QUESTION {actualQuestion.order + 1}/{quizInformations.questionCount}
                    </p>
                    <p className="text-score">
                        SCORE : {score}/{quizInformations.questionCount}
                    </p>
                    <p className="text-category">{quizInformations.category?.name ?? ""}</p>
                </div>

                <div className="quiz-top-text-question">
                    <p className="text-question">{actualQuestion.text}</p>
                </div>
            </div>
        </div>
    );
}
