export default class HttpError extends Error {
    statusCode: number;

    constructor(statusCode: number, message: string) {
        super(message); // Appelle le constructeur de Error
        this.statusCode = statusCode;
        this.name = "HttpError"; // Nom de l'erreur
    }

    // Méthode pour vérifier si une erreur est un HttpError
    static isHttpError(error: unknown): error is HttpError {
        return error instanceof HttpError;
    }
}
