import {Question} from '../models/Question.ts';

export const shuffleAnswers = (question: Question): Question => {
    const shuffledAnswers = [...question.answers];

    for (let i = shuffledAnswers.length - 1; i > 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        [shuffledAnswers[i], shuffledAnswers[j]] = [shuffledAnswers[j], shuffledAnswers[i]];
    }

    return {
        ...question,
        answers: shuffledAnswers,
    };
};
